# Keyoxide

[![Build Status](https://drone.autonomic.zone/api/badges/coop-cloud/keyoxide/status.svg?ref=refs/heads/main)](https://drone.autonomic.zone/coop-cloud/keyoxide)

A modern, secure and privacy-friendly platform to establish your decentralized online identity • https://codeberg.org/keyoxide/web

<!-- metadata -->
* **Category**: Apps
* **Status**: ❷💛
* **Image**: [`keyoxide/keyoxide`](https://hub.docker.com/r/keyoxide/keyoxide), ❶💚, upstream
* **Healthcheck**: Yes
* **Backups**: No
* **Email**: N/A
* **Tests**: ❷💛
* **SSO**: N/A
<!-- endmetadata -->

## Basic usage

1. Set up Docker Swarm and [`abra`]
2. Deploy [`coop-cloud/traefik`]
3. `abra app new keyoxide --secrets` (optionally with `--pass` if you'd like
   to save secrets in `pass`)
4. `abra app YOURAPPDOMAIN config` - be sure to change `DOMAIN` to something that resolves to
   your Docker swarm box
5. `abra app YOURAPPDOMAIN deploy`
6. Open the configured domain in your browser to finish set-up

[`abra`]: https://git.autonomic.zone/autonomic-cooperative/abra
[`coop-cloud/traefik`]: https://git.autonomic.zone/coop-cloud/traefik
